# Update cart item from current cart

Updates an existing cart item or creates the one in the cart.

Endpoint: PUT /v2/project/{project_id}/cart/item/{item_sku}
Version: 1.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    Project ID.
    Example: 44056

  - `item_sku` (string, required)
    Item SKU.
    Example: "booster_mega_1"

## Request fields (application/json):

  - `currency` (string)
    Preferred payment currency. Three-letter currency code per [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).

  - `quantity` (number)
    Item quantity.

## Response 404 fields (application/json):

  - `statusCode` (integer)
    Example: 404

  - `errorCode` (integer)
    Example: 4001

  - `errorMessage` (string)
    Example: "[0401-4001]: Item with Project ID = 44056 and SKU = booster_mega_12222 not found"

## Response 422 fields (application/json):

  - `statusCode` (integer)
    Example: 422

  - `errorCode` (integer)
    Example: 1421

  - `errorMessage` (string)
    Example: "This type of item cannot be put to the cart. Select another type of item."


## Response 204 fields
